Subject: Re: bug#67810: 29.1; fonts use synthetic bold on Linux / pgtk

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jan 2024 10:37:13 +0200

> From: Po Lu <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Fri, 12 Jan 2024 09:46:21 +0800
> 
> Tim Ruffing <[email-masked]> writes:
> 
> > @Po Lu:
> > Independent of icons, I still think that overstriking is a bit
> > unexpected. (I mean, even Eli didn't know about it.) I see that a font
> > regex is too much, but do you think a simple boolean option would be a
> > good idea? Or do you think the current behavior should simply be
> > documented more prominently?
> 
> I think this is a mechanism users should not understand in this much
> technical detail, because font backends might synthesize their bold or
> oblique variants by other means when one is requested from a font that
> doesn't provide them.  Rather, users should understand that Emacs will
> seek to display bold text when they specify it should, and that text
> which isn't meant to be bold text should not receive text properties
> labeling it as such.

Would it make sense to introduce a variable that disables synthesizing
bold or oblique font variants?